Bug 889451 - Should not prompt to input password if using -p option when rhc setup
Summary: Should not prompt to input password if using -p option when rhc setup
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OKD
Classification: Red Hat
Component: oc
Version: 2.x
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: ---
Assignee: Clayton Coleman
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-21 09:19 UTC by Wei Sun
Modified: 2015-05-15 02:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-14 00:51:58 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Wei Sun 2012-12-21 09:19:40 UTC
Description of problem:
When  running "rhc setup -l wsun@redhat.com -p redhat" ,prompt user to input password,if don't input password,will show  "Not authenticated".But -p option means already input a password,should not prompt to input password again.

Version-Release number of selected component (if applicable):
rhc 1.3.2
devenv_2621

How reproducible:
always

Steps to Reproduce:
1.rhc setup -l wsun@redhat.com -p redhat
2.
3.
  
Actual results:
[sunwei@dhcp-8-229 ~]$ rhc setup -l wsun@redhat.com -p redhat
OpenShift Client Tools (RHC) Setup Wizard
This wizard will help you upload your SSH keys, set your application namespace, and check that other programs like Git are properly installed.
Using wsun@redhat.com
Password: 
Not authenticated

Expected results:
Don't prompt to input password if using -p option

Additional info:

Comment 1 Clayton Coleman 2013-01-10 18:09:58 UTC
Fixed in fork_ami_us3270_improve_security_in_rhc

Comment 2 Rony Gong 🔥 2013-01-11 02:36:16 UTC
Verified on fork_ami_us3270_improve_security_in_rhc_400
[qgong@localhost dev]$ rhc setup -l qgong@redhat.com -p xxx
OpenShift Client Tools (RHC) Setup Wizard

This wizard will help you upload your SSH keys, set your application namespace, and check that other programs like Git are properly installed.

Using qgong@redhat.com to login to ec2-107-22-25-53.compute-1.amazonaws.com

Saving previous configuration to /home/qgong/.openshift/express.conf.bak

Creating /home/qgong/.openshift/express.conf to store your configuration

Checking for git ... found git version 1.7.1

Checking your namespace ... qgong9

Checking for applications ... found 1

  qphp http://qphp-qgong9.dev.rhcloud.com/

  You are using 1 of 3 total gears
  The following gear sizes are available to you: small

Your client tools are now configured.


Note You need to log in before you can comment on or make changes to this bug.